Section(3)

Name
Section

Synopsis

Module Section

This is the module comment. Eventually, sections won't be allowed in it.

Documentation

1 Empty section

2 Text only

Foo bar.

3 Aside only

Foo bar.

4 Value only

val foo : unit

5 Empty section

6 within a comment

6.1 and one with a nested section

7 This section title has markup

But links are impossible thanks to the parser, so we never have trouble rendering a section title in a table of contents – no link will be nested inside another link.